/***************************************************************************
    begin                : Sun Apr 21 2002
    copyright            : (C) 2002 - 2003 by Pascal Brachet, 2003 Jeroen Wijnhout
    email                : Jeroen.Wijnhout@kdemail.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kileapplication.h"

#include <tdeglobal.h>
#include <kstandarddirs.h>
#include <kate/document.h>

#include <tqframe.h>
#include <tqpixmap.h>
#include <tqlabel.h>
#include <tqpainter.h>
#include <tqfont.h>
#include <tqfontmetrics.h>

static TQFrame *pix=0;
static TQWidget *splash=0;


KileApplication::KileApplication()
{
    TQRect screen = TQApplication::desktop()->screenGeometry();
    TQPixmap pm(TDEGlobal::dirs()->findResource("appdata","pics/kile_splash.png"));
  	 splash = new TQWidget( 0, "splash", WDestructiveClose | WStyle_Customize | WStyle_NoBorder | WX11BypassWM | WStyle_StaysOnTop );
    pix=new TQFrame(splash,"pix",TQWidget::WStyle_NoBorder | TQWidget::WStyle_Customize);
    pix->setBackgroundPixmap(pm);
    pix->setLineWidth(0);
    pix->setGeometry( 0,0,398, 120 );
	  splash->adjustSize();
	  splash->setCaption( "Kile" );
	  splash->move( screen.center() - TQPoint( splash->width() / 2, splash->height() / 2 ) );
	  splash->show();
}
KileApplication::~KileApplication(){
}

void KileApplication::closeSplash()
{
splash->hide();
delete splash;
}
